.
Wot I need to know - Grin with cat attached — LiveJournal
Previous Entry Next Entry
Wot I need to know Mar. 25th, 2004 05:24 pm
XHTML 1.1
CSS 2.1
RSS 2.0
Javascript 1.4(?)
Linux systems admin
Apache 1.3.x
PHP 5.0
Perl 5.x.y
Exim 4
Mysql 4.0.x
Bind 9
Mac OSX
Jabberd
XML
RDF
SPF/SRS
MediaWiki
Photography
Graphics Manip
Tomcat
Cocoon
rsync
Samba

and probably shitloads more

(no subject) - (Anonymous)
From: wechsler
Date: March 25th, 2004 - 09:35 am (Link)
One* thing at a time :/

*for certain values of one
From: deliberateblank
Date: March 25th, 2004 - 01:08 pm (Link)
It's much the same as Apache 1.x, except for the bits where it's different. Same goes for PHP 5<->4.3.x - just a bunch of new functions added for the most part. (Internal APIs change more and incompatibly, but 'normal' developers are rarely affected by that. I doubt either project is going to fix the things *I* want changing any time soon.)

CSS2.1 isn't yet a full recommendation, and doesn't have great support. Depending how cross-platform you want to be, best to stick to 1.0 features unless you really need something out of 2.0. (Can't hurt to learn it, just don't expect everything to work in any implementation.)

Anyway, I thought you could already do a fair number of the things on that list?
From: wechsler
Date: March 25th, 2004 - 11:24 pm (Link)
I can already "do" all but a couple of the above, but not necessarily to the required level of proficiency, and I don't tend to get adequate practice at work. And knowing the 2.1 standard includes knowing the ways the various browsers abuse it :/
From: ciphergoth
Date: March 25th, 2004 - 09:39 am (Link)
XSLT
XPath
SVG
ETLA

Are you sure you want to know Cocoon? I've had a lot more fun with Struts...
From: wechsler
Date: March 25th, 2004 - 09:42 am (Link)
Cocoon I could probably happily avoid, actually; I just need some sort of XSL-transform engine at some point.

XSLT/XPath I was trying to hide under XML, and SVG may just be a standard too far.

You're almost certainly right about ETLA, though.